American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
TreeProductEuropeanBuyerOptional Class Reference

Prices TreeProductEuropean for the buyer. More...

`#include <europeanbuyeroptional.h>`

Inheritance diagram for TreeProductEuropeanBuyerOptional:

List of all members.

## Public Member Functions
coefficient | current_price (const PiecewiseLinear &current, const Portfolio &holdings=Portfolio(0, 0)) const
int | exercise (const Spot &spot, const Portfolio &current_portfolio) const
coefficient | expiry () const
PiecewiseLinear | final_hedge (const Spot &spot) const
PiecewiseLinear | interim_hedge (const coefficient t, const Spot &spot, const PiecewiseLinear &future_hedge) const
Portfolio | next_portfolio (const coefficient t, const Spot &spot, const PiecewiseLinear &future_hedge, const Portfolio &current_portfolio) const
Portfolio | payoff (const Spot &spot) const
PiecewiseLinear | payoff_hedge (const Spot &spot) const
| TreeProductEuropeanBuyerOptional (const coefficient expiry, const PayoffBridge &payoff)

## Detailed Description

Prices TreeProductEuropean for the buyer.

Allows for possibility that option may not be exercised at all, even if payoff is non-zero.

Author:
  Alet Roux <alet.roux@york.ac.uk>

## Constructor & Destructor Documentation

TreeProductEuropeanBuyerOptional::TreeProductEuropeanBuyerOptional | ( | const coefficient | expiry,
|  | const PayoffBridge & | payoff
| ) |  | `[inline]`

## Member Function Documentation

coefficient TreeProductEuropeanBuyer::current_price | ( | const PiecewiseLinear & | current,
|  | const Portfolio & | holdings = `Portfolio(0, 0)`
| ) |  | const`[inline, virtual, inherited]`

Computes current price of option, given the holdings of the investor

Parameters:

  current | Lower boundary of set of hedging portfolios
  holdings | Current holdings of investor

Reimplemented from TreeProductEuropeanSeller.

int TreeProductEuropeanBuyerOptional::exercise | ( | const Spot & | spot,
|  | const Portfolio & | current_portfolio
| ) |  | const`[inline]`

coefficient TreeProduct::expiry | ( |  | ) | const`[inline, inherited]`

Expiry time.

PiecewiseLinear TreeProductEuropeanBuyerOptional::final_hedge | ( | const Spot & | spot | ) | const`[inline, virtual]`

Finds set of portfolios that hedges the option at its expiry time.

Parameters:

  spot | Price of underlying asset

Returns:
  Piecewise linear function that gives the lower boundary of set of hedging portfolios

Reimplemented from TreeProductEuropeanSeller.

PiecewiseLinear TreeProductEuropean::interim_hedge | ( | const coefficient | t,
|  | const Spot & | spot,
|  | const PiecewiseLinear & | future_hedge
| ) |  | const`[inline, virtual, inherited]`

At an interim time step, finds set of portfolios that hedges the payoff of the option in the future

Parameters:

  t | Time
  spot | Price of underlying asset
  future_hedge | Piecewise linear function whose epigraph consist of portfolios that hedge the option at all future time steps

Returns:
  Piecewise linear function that gives the lower boundary of set of hedging portfolios

Implements TreeProduct.

Portfolio TreeProduct::next_portfolio | ( | const coefficient | t,
|  | const Spot & | spot,
|  | const PiecewiseLinear & | future_hedge,
|  | const Portfolio & | current_portfolio
| ) |  | const`[inline, inherited]`

Given a portfolio that hedges at the current time, computes a portfolio into which the trader can enter that hedges at all future times

Parameters:

  t | Time
  spot | Price of underlying asset
  future_hedge | Piecewise linear function whose epigraph consist of portfolios that hedge the option at all future time steps
  current_portfolio | Current portfolio. Must correspond to a point in the epigraph of interim_hedge(t, spot, future_hedge) (this is not checked).

Returns:
  Portfolio that will hedge the product over the next time step.

Portfolio TreeProductEuropean::payoff | ( | const Spot & | spot | ) | const`[inline, inherited]`

PiecewiseLinear TreeProductEuropean::payoff_hedge | ( | const Spot & | spot | ) | const`[inline, inherited]`

The documentation for this class was generated from the following file:

- treeproduct/europeanbuyeroptional.h

All Classes Namespaces Files Functions Variables Typedefs Defines